<?php
namespace Nexus\Catalog\Block\BrandCategory;

/**
 * Interceptor class for @see \Nexus\Catalog\Block\BrandCategory
 */
class Interceptor extends \Nexus\Catalog\Block\BrandCategory implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Block\Product\Context $context, \Magento\Catalog\Model\CategoryFactory $categoryFactory, \Magento\Store\Model\StoreManagerInterface $storeManagerInterface, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $categoryFactory, $storeManagerInterface, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
